Subject: Re: bug#52232: 29.0.50; Can scroll horizontally with pixel-scroll-precision-mode

From: Yuan Fu <[email-masked]>
Date: Sun, 5 Dec 2021 20:54:54 -0800

> On Dec 5, 2021, at 8:44 PM, Po Lu <[email-masked]> wrote:
> 
> Yuan Fu <[email-masked]> writes:
> 
>>> 
>>> Precision pixel scrolling should now work when the window is hscrolled.
>>> However, you may want to turn off automatic hscroll for it to work
>>> nicely.
>>> 
>>> Please test, thanks.
>> 
>> Yes, it works. Not pixel-scrolled, but I can scroll no problem. Thanks!
> 
> What do you mean by "not pixel-scrolled"?  The scrolling should be done
> pixel-wise even if the window is hscrolled.  If it is not, that is a
> bug.

My bad, I actually tested with pixel-scroll-precision-mode off. When I turn the mode on, the situation has not changed, slowly scrolling horizontally still does’t scroll. Tested on emacs -Q on latest master on a Mac just as before.

Yuan